---
date: 2014-05-10
title: Home-made Energy Bars
category: cycling
Thumbail: https://i.imgur.com/RUF1L6e.jpg
---

A break from computing today and into the world of nutrition. Cyclists
love to talk about nutrition as the nature of our sport makes it a major
consideration. I do not really know of any other sport where your fuel
gives out before the rest of your body.

This means that cycling nutrition is big business, and expensive. A
typical box of energy bars will cost about 1 euro a bar from a big box
pusher, more from your LBS. To that end (as I like baking) I decided to
make my own.

# Ingredients

There is not much to it:

-   200g sugar
-   120ml oil
-   2 tablespoons honey
-   225g porridge oats
-   250g fruit/nut mix

Obviously the quality of these ingredients is all important. With the
amount you are saving compared to a commercial bar, one can afford to
splash out here. I use:

-   Unrefined sugar
-   Good quality sunflower oil
-   Organic honey from a local producer
-   Good quality, thick rolled oats

For the fruit and nut mix you can do whatever you want. We eat a lot of
these and get them from a local organic produce shop. I just raid the
kitchen draws and see what I come up with. The latest batch had:

-   dried banana
-   raisins
-   sultanas
-   coconut
-   cranberries

# Recipe

You will need a decent sized saucepan as you\'ll do all the mixing on
the hob. Pre-heat the oven to 180ᵒC (350ᵒF/gas mark 4 I believe).

Start by gently melting together the sugar, oil and honey over a low
heat. Be patient, this will take a while.

Add you fruit/nut mix and mix it all in thouroughly. At this point you
will need enormous will power as the mixture is delicious and you may
find yourself eating it all there and then. This will make you feel
rather ill (trust me).

Finally, add the oats a little bit at a time. It is very important to
take your time over this. The mixture gets really thick and heavy, which
may be too much for your puny cyclist arms. If you can find a way to
stir it with your super-mega strong cyclist legs please tell me in the
comments. If not, just ask your wife/mother/mother-in-law/child to help.

Once all that is nicly mixed together transfer it to a tin lined with
baking paper (25cm x 15cm should be a good size). Make sure it is firmly
pressed down with a metal fork. If not the bar will come apart in your
pocket (messy).

Put in the oven for about 15 minutes. When it is nicely golden, take it
out and leave it to cool before cutting it up. I find this makes 25-30
small bars (\~23-50g each), but your mileage may vary.

# Nutritional Information

Of course, this being a geeky blog I had to do some maths and
comparisons. Note that this is all calculated from the information on
the packets and searching on the internet. I am an engineer, not a
nutritionist so do not take this as gospel.

  -------------------------------------------------------------------------------------------------------------------------------------------------------------
  Bar                                                                                                                        weight    Energy   Protein   Fat
                                                                                                                             (g)       (kcal)   (g)       (g)
  -------------------------------------------------------------------------------------------------------------------------- --------- -------- --------- -----
  Mine                                                                                                                       \~25-30   134      1.2       6.1

  [SiS                                                                                                                       55        223      20        6.4
  Rego](https://www.scienceinsport.com/sis-products/sis-rego-range/sis-rego-protein/sis-rego-protein-bar-choc-peanut-55g/)                                

  [High5 Energy Bar](https://highfive.co.uk/product/energy/energybar)                                                        60        194      3         2
  -------------------------------------------------------------------------------------------------------------------------------------------------------------

Mine do not do too badly. Not that both those commercial options have
more everything, but they are also much bigger. Two of my bars would
beat both of them hands down in all 3 of those measures. It should also
be noted that all the fat in these come from the oil and the oats, which
is \"healthy fat\" according to High 5.

Like I said, I am an engineer, not a nutritionist. Do not take this as
nutritional advise, rather as me sharing something I find works for me.
Feel free to use this, but please share your modifications. In fact you
are legally obliged to because it is under the [Creative Commons
Attribution-NonCommercial-ShareAlike 4.0 International
License](https://creativecommons.org/licenses/by-nc-sa/4.0/) :-).
